=== debian/changelog ===
game-music-emu (0.5.5-2) unstable; urgency=low

  * debian/control,
    debian/compat,
    debian/source/format,
    debian/rules:
    + Update to source format 3.0 (quilt).
    + Update Standards-Version to 3.8.4.
    + Update to debhelper compat level 7.
  * debian/patches/01_symbol-exports.patch:
    + Only export symbols that are meant to be public. Patch
      from upstream SVN.
  * debian/libgme0.symbols:
    + Add symbols file.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 22 Mar 2010 14:29:59 +0100

game-music-emu (0.5.5-1) unstable; urgency=low

  * Initial upload (Closes: #540480).

 -- Sebastian Dröge <slomo@debian.org>  Sat, 08 Aug 2009 10:37:12 +0200
