=== debian/control ===
Source: game-music-emu
Section: sound
Priority: optional
Maintainer: Sebastian Dröge <slomo@debian.org>
Build-Depends: debhelper (>= 7),
               cmake (>= 2.6.0)
Standards-Version: 3.8.4
Homepage: http://code.google.com/p/game-music-emu

Package: libgme0
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Playback library for video game music files - shared library
 game-music-emu is a collection of video game music file emulators that
 support the following formats and systems:
  * AY        ZX Spectrum/Amstrad CPC
  * GBS       Nintendo Game Boy
  * GYM       Sega Genesis/Mega Drive
  * HES       NEC TurboGrafx-16/PC Engine
  * KSS       MSX Home Computer/other Z80 systems (doesn't support FM sound)
  * NSF/NSFE  Nintendo NES/Famicom (with VRC 6, Namco 106, and FME-7 sound)
  * SAP       Atari systems using POKEY sound chip
  * SPC       Super Nintendo/Super Famicom
  * VGM/VGZ   Sega Master System/Mark III, Sega Genesis/Mega Drive,BBC Micro
 .
 This package contains the shared libraries necessary to run programs
 using libgme.

Package: libgme-dev
Architecture: any
Section: libdevel
Depends: libgme0 (= ${binary:Version}),
         ${misc:Depends}
Description: Playback library for video game music files - development files
 game-music-emu is a collection of video game music file emulators that
 support the following formats and systems:
  * AY        ZX Spectrum/Amstrad CPC
  * GBS       Nintendo Game Boy
  * GYM       Sega Genesis/Mega Drive
  * HES       NEC TurboGrafx-16/PC Engine
  * KSS       MSX Home Computer/other Z80 systems (doesn't support FM sound)
  * NSF/NSFE  Nintendo NES/Famicom (with VRC 6, Namco 106, and FME-7 sound)
  * SAP       Atari systems using POKEY sound chip
  * SPC       Super Nintendo/Super Famicom
  * VGM/VGZ   Sega Master System/Mark III, Sega Genesis/Mega Drive,BBC Micro
 .
 This package contains the header files, static libraries
 and symbolic links that developers using libgme will need.
