=== debian/changelog ===
game-music-emu (0.6.0-3ubuntu0.16.04.1) xenial-security; urgency=medium

  * SECURITY UPDATE: code execution via missing register value clamps
    - debian/patches/missing_register_value_clamp.patch: clamp values to
      uint8_t in gme/Spc_Cpu.h.
    - No CVE number

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 13 Dec 2016 11:37:51 -0500

game-music-emu (0.6.0-3) unstable; urgency=medium

  * debian/patches/03_link-zlib.patch:
    + Link the library with zlib as required.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 26 Sep 2015 11:05:22 +0200

game-music-emu (0.6.0-2) unstable; urgency=medium

  * debian/control,
    debian/copyright:
    + Fix homepage URL to point to bitbucket too.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 19 Sep 2015 18:51:44 +0200

game-music-emu (0.6.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/watch:
    + Fix watch file for new home of the project at github (Closes: #698177).
  * debian/patches/01_enable-zlib.patch,
    debian/patches/02_zlib-compiler-warnings.patch:
    + Enable zlib support (Closes: #640287).

 -- Sebastian Dröge <slomo@debian.org>  Sat, 19 Sep 2015 18:08:53 +0200

game-music-emu (0.5.5-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add multi-arch support based on a patch by Francois Gouget (Closes:
    #777070)
    + debian/control: Bump B-D on debhelper to (>= 9) and add M-A: same.
    + debian/compat: Bump to 9.
    + debian/libgme0.install, debian/libgme-dev.install: Update for new paths.
    + debian/rules: Move files to multi-arch location.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 22 Jul 2015 23:59:08 +0200
