=== debian/control ===
--- 
+++ 
@@ -1,15 +1,19 @@
 Source: game-music-emu
 Section: sound
 Priority: optional
-Maintainer: Sebastian Dröge <slomo@debian.org>
-Build-Depends: debhelper (>= 7),
-               cmake (>= 2.6.0)
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Sebastian Dröge <slomo@debian.org>
+Build-Depends: debhelper (>= 9),
+               cmake (>= 2.6.0),
+               zlib1g-dev
 Standards-Version: 3.8.4
-Homepage: http://code.google.com/p/game-music-emu
+Homepage: https://bitbucket.org/mpyne/game-music-emu/wiki/Home
 
 Package: libgme0
 Architecture: any
+Multi-Arch: same
 Section: libs
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Description: Playback library for video game music files - shared library
@@ -30,6 +34,7 @@
 
 Package: libgme-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
 Depends: libgme0 (= ${binary:Version}),
          ${misc:Depends}
