## game-music-emu 0.6.1

=== debian/changelog ===
game-music-emu (0.6.1-1) unstable; urgency=medium

  * New upstream bugfix release:
    + debian/patches/02_zlib-compiler-warnings.patch,
      debian/patches/04_spc-out-of-bounds-reads-writes.patch:
      - Dropped, merged upstream.
    + debian/libgme0.symbols:
      - Add new symbols.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 30 Jan 2017 19:10:39 +0200

game-music-emu (0.6.0-4) unstable; urgency=high

  * debian/patches/04_spc-out-of-bounds-reads-writes.patch:
    + Fix out of bound reads/writes with security implications (Closes: #848071).
      Patch provided by Chris Evans at
      https://scarybeastsecurity.blogspot.gr/2016/12/redux-compromising-linux-using-snes.html

 -- Sebastian Dröge <slomo@debian.org>  Wed, 14 Dec 2016 09:17:02 +0200
