## game-music-emu 0.6.2

=== debian/changelog ===
game-music-emu (0.6.2-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:14:34 +0100

game-music-emu (0.6.2-1) unstable; urgency=high

  * New upstream bugfix release
    + Fixes usage of negative size parameter passed to memcpy() on
      specially crafted files (Closes: #883691, CVE-2017-17446).

 -- Sebastian Dröge <slomo@debian.org>  Thu, 07 Dec 2017 10:03:19 +0200
