=== debian/changelog ===
game-music-emu (0.6.3-2) unstable; urgency=medium

  * debian/libgme0.symbols:
    + Add some regexes for the C++ specific symbols to fix build failure on 32
      bit architectures.
  * debian/rules:
    + Don't enable ubsan support, for whatever reason it's enabled by default.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 17 Apr 2020 19:16:56 +0300

game-music-emu (0.6.3-1) unstable; urgency=medium

  * New upstream release
    + Drop all patches as they're not needed anymore.
  * debian/watch:
    + Update watch file syntax.
  * debian/libgme0.symbols:
    + Add new symbols.
    + Make some symbols optional to fix build with GCC 10 (Closes: #957252).
  * debian/rules,
    debian/control,
    debian/compat:
    + Fix various lintian warnings.
    + Ship pkg-config file.
    + Update to debhelper compat version 12 and standards version 4.5.0.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 17 Apr 2020 14:29:33 +0300
