=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: game-music-emu
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Sebastian Dröge <slomo@debian.org>
-Build-Depends: debhelper (>= 9),
-               cmake (>= 2.6.0),
+Maintainer: Sebastian Dröge <slomo@debian.org>
+Build-Depends: debhelper (>= 12),
+               debhelper-compat (= 12),
+               cmake (>= 2.6),
                zlib1g-dev
-Standards-Version: 3.8.4
+Standards-Version: 4.5.0
 Homepage: https://bitbucket.org/mpyne/game-music-emu/wiki/Home
 
 Package: libgme0
