=== debian/watch ===
version=4
https://bitbucket.org/mpyne/game-music-emu/downloads/ game-music-emu-([\d\.]+)\.tar\.xz
